# include/xapian/sorter.h File Reference

Build sort keys for MSet ordering. More...

`#include <string>`
`#include <vector>`
`#include <xapian/document.h>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::Sorter
| Virtual base class for sorter functor. More...
class | Xapian::MultiValueSorter
| Sorter subclass which sorts by a several values. More...

## Detailed Description

Build sort keys for MSet ordering.